<?php
include VIEWPATH.'includes/new_header.php';
?>

<body class="hold-transition sidebar-mini">
  <!-- Site wrapper -->
  <div class="wrapper">
    <?php
    include VIEWPATH.'includes/new_top_menu.php';
    include VIEWPATH.'includes/new_menu_principal.php';
    ?>



    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <?php 
      include 'includes/menu_production.php';
      ?>

      <!-- Main content -->
      <section class="content">

        <!-- Default box -->
        <div class="card">

          <?php 
          if(!empty($this->session->flashdata('message')))
           echo $this->session->flashdata('message');
         ?>




         <div class="card card-primary">
          <div class="card-header">
            <h3 class="card-title">Enregistrement de la production</h3>
          </div>
          <!-- /.card-header -->
          <!-- form start -->
          <form role="form" action="<?=base_url('production/Production/add')?>" enctype="multipart/form-data" method="POST">
            <div class="card-body row">

              <div class="form-group col-lg-6">
                <label for="exampleInputEmail1">Lot de production <spam class="text-danger">*</spam></label>

                <select class="custom-select" name="ID_LOT" id="ID_LOT" onchange="get_volume(this.value)">
                  <option value="">-- Select --</option>

                  <?php
                          // print_r($lot);
                  foreach ($lot as $lots) {
                   echo"<option value='".$lots['ID_LOT']."'>".$lots['LOT_PRODUCTION']."</option>";
                 }
                 ?>
               </select>
               <?php echo form_error('ID_LOT', '<div class="text-danger">', '</div>'); ?>
               <span id="remainingVolume" style="color: #008000;" class="mt-2"></span>
             </div> 
             <div class="form-group col-lg-6">
              <label for="exampleInputEmail1">Date de production <spam class="text-danger">*</spam></label>
              <input type="date" class="form-control" id="DATE_PRODUCTION" name="DATE_PRODUCTION" placeholder="Date production" value="<?=set_value('DATE_PRODUCTION')?>">
              <?php echo form_error('DATE_PRODUCTION', '<div class="text-danger">', '</div>'); ?>
            </div> 

            <div class="form-group col-lg-6">
              <label for="exampleInputEmail1">Taille bouteille<spam class="text-danger">*</spam> </label>
              <select class="custom-select" name="ID_TAILLE_BOUTEILLE" id="ID_TAILLE_BOUTEILLE" onchange="getTaille(this.value)">
                <option value="">-- Select --</option>

                <?php
                foreach ($tailbout as $typebous) {
                 echo"<option value='".$typebous['ID_TAILLE_BOUTEILLE']."'>".$typebous['DESCRIPTION']."</option>";
               }
               ?>
             </select>

             <?php echo form_error('ID_TAILLE_BOUTEILLE', '<div class="text-danger">', '</div>'); ?>
           </div>
           <div class="form-group col-lg-6" id="div_box">
            <label for="exampleInputEmail1">Box <spam class="text-danger">*</spam></label>
            <input type="number" class="form-control" id="NOMBRE_BOX" name="NOMBRE_BOX" placeholder="Box" value="<?=set_value('NOMBRE_BOX')?>"  oninput="calculateQuantity()">
            <?php echo form_error('NOMBRE_BOX', '<div class="text-danger">', '</div>'); ?>
          </div>
          <div class="form-group col-lg-6" id="div_quantite">
            <label for="exampleInputEmail1">Nombre <spam class="text-danger">*</spam></label>
            <input type="number" class="form-control" id="QUANTITE" name="QUANTITE" placeholder="Quantite" value="<?=set_value('QUANTITE')?>">
            <?php echo form_error('QUANTITE', '<div class="text-danger">', '</div>'); ?>
          </div> 

        </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" class="btn btn-primary btn-block">Enregistrer</button>
        </div>
      </form>
    </div>

      </div>
      <!-- /.card -->

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <?php
  include VIEWPATH.'includes/new_copy_footer.php';  
  ?>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->
<?php
include VIEWPATH.'includes/new_script.php';
?>

<script>
  $(document).ready(function(){ 
    $('#message').delay(5000).hide('slow');

    $('#div_box').hide();
   // $('#div_quantite').hide();
 });
  function getTaille(){
    var taille= $('#ID_TAILLE_BOUTEILLE').val();
    if(taille ==1 || taille==2){
      $('#div_box').show();
      $('#div_quantite').hide();
    }else{
      $('#div_box').hide();
      $('#div_quantite').show();

    }
  }





  function get_commune(prov){
    var form= new FormData();
    form.append("prov",prov);
    $.ajax({
      url: "<?php echo base_url('voiture/Garage/get_commune/');?>"+prov,
      type: "POST",
      data: form,
      processData: false,  
      contentType: false,
      success: function(data){
        $('#COMMUNE_ID').html(data);

      }
    }); 

  }


</script>



<script>
  function calculateQuantity() {
    const nombreBox = document.getElementById('NOMBRE_BOX').value;
    const quantiteField = document.getElementById('QUANTITE');
        const taille = document.getElementById('ID_TAILLE_BOUTEILLE').value; // Utiliser .value pour récupérer la valeur

        // Vérifiez que la valeur de NOMBRE_BOX est un nombre
        if (!isNaN(nombreBox) && nombreBox !== '') {
          let multiplier;

            // Déterminer le multiplicateur en fonction de la taille sélectionnée
            switch (taille) {
                case '1': // ID_TAILLE_BOUTEILLE de 1
                multiplier = 12;
                break;
                case '2': // ID_TAILLE_BOUTEILLE de 2
                multiplier = 6;
                break;
                default:
                    multiplier = 1; // Métier par défaut (peut être ajusté selon votre logique)
                  }

            const quantite = nombreBox * multiplier; // Multiplier et calculer la quantité
            quantiteField.value = quantite; // Met à jour le champ QUANTITE
          } else {
            quantiteField.value = ''; // Réinitialise QUANTITE si NOMBRE_BOX n'est pas un nombre valide
          }
        }
      </script>


<script>
// la fonction pour affiche le commune selon la province selectionnee
function get_volume() {
  var ID_LOT = $('#ID_LOT').val();

  $.post("<?= base_url('production/Production/get_volume') ?>", {
    ID_LOT: ID_LOT
  }, function(data) {
    console.log
   $('#remainingVolume').html("Volume restant : <strong>" + data + "</strong>");
  })
}
</script>

    </body>
    </html>
